# Uses of Class
org.apache.lucene.expressions.Expression

Packages that use Expression
Package
Description
org.apache.lucene.expressions
Expressions.
org.apache.lucene.expressions.js
Javascript expressions.

- ## Uses of Expression in org.apache.lucene.expressions

  Methods in org.apache.lucene.expressions with parameters of type Expression
  Modifier and Type
  Method
  Description
  `void`
  SimpleBindings.`add(String name, Expression expression)`
  Adds an Expression to the bindings.

- ## Uses of Expression in org.apache.lucene.expressions.js

  Methods in org.apache.lucene.expressions.js that return Expression
  Modifier and Type
  Method
  Description
  `static Expression`
  JavascriptCompiler.`compile(String sourceText)`
  Compiles the given expression using default compiler settings.
  `static Expression`
  JavascriptCompiler.`compile(String sourceText, Map<String,MethodHandle> functions)`
  Compiles the given expression with the supplied custom functions using default compiler settings.